searchNodes=[{"doc":"Simple date recurrences","ref":"Recurrencex.html","title":"Recurrencex","type":"module"},{"doc":"A function that finds the date of the next occurence after 'date' with recurrence 'recurrencex'Examplesiex&gt; date = Timex.to_datetime({{2018, 4, 20}, {0, 0, 0}}, &quot;America/Toronto&quot;) ...&gt; # repeat every 7 days ...&gt; next = Recurrencex.next(date, %Recurrencex{type: :daily, frequency: 7, repeat_on: []}) ...&gt; next == Timex.to_datetime({{2018, 4, 27}, {0, 0, 0}}, &quot;America/Toronto&quot;) true iex&gt; date = Timex.to_datetime({{2018, 4, 20}, {0, 0, 0}}, &quot;America/Toronto&quot;) ...&gt; # repeat on Mondays, Wednesdays, Fridays every week ...&gt; recurrencex = %Recurrencex{type: :weekly, frequency: 1, repeat_on: [1, 3, 5]} ...&gt; next = Recurrencex.next(date, recurrencex) ...&gt; # date was a Friday the 20th, the next recurrence would be Monday the 23rd ...&gt; next == Timex.to_datetime({{2018, 4, 23}, {0, 0, 0}}, &quot;America/Toronto&quot;) true iex&gt; date = Timex.to_datetime({{2018, 4, 20}, {0, 0, 0}}, &quot;America/Toronto&quot;) ...&gt; # repeat on the 20th and 25th of every month ...&gt; recurrencex = %Recurrencex{type: :monthly_day, frequency: 1, repeat_on: [20, 25]} ...&gt; next = Recurrencex.next(date, recurrencex) ...&gt; next == Timex.to_datetime({{2018, 4, 25}, {0, 0, 0}}, &quot;America/Toronto&quot;) true iex&gt; date = Timex.to_datetime({{2018, 4, 20}, {0, 0, 0}}, &quot;America/Toronto&quot;) ...&gt; # repeat on the first Thursday of every month ...&gt; recurrencex = %Recurrencex{type: :monthly_dow, frequency: 1, repeat_on: [{4,1}]} ...&gt; next = Recurrencex.next(date, recurrencex) ...&gt; next == Timex.to_datetime({{2018, 5, 3}, {0, 0, 0}}, &quot;America/Toronto&quot;) true iex&gt; r = %Recurrencex{type: :monthly_day, frequency: 12, repeat_on: [20]} ...&gt; next = Timex.to_datetime({{2018, 4, 20}, {0, 0, 0}}, &quot;America/Toronto&quot;) ...&gt; |&gt; Recurrencex.next(r) ...&gt; |&gt; Recurrencex.next(r) ...&gt; next == Timex.to_datetime({{2020, 4, 20}, {0, 0, 0}}, &quot;America/Toronto&quot;) true","ref":"Recurrencex.html#next/2","title":"Recurrencex.next/2","type":"function"},{"doc":"","ref":"Recurrencex.html#t:t/0","title":"Recurrencex.t/0","type":"type"},{"doc":"","ref":"readme.html","title":"README","type":"extras"},{"doc":"Simple date recurrences","ref":"readme.html#recurrencex","title":"README - Recurrencex","type":"extras"},{"doc":"To use Recurrencex with your projects, add it as a dependency in your mix.exs filedef deps do [ {:recurrencex, &quot;~&gt; 0.2.1&quot;} ] end","ref":"readme.html#installation","title":"README - Installation","type":"extras"},{"doc":"Repeat every n daysRepeat on [weekdays] every n weeksRepeat on [i, j, k] days every n monthsRepeat on the [i'th weekdays] every n months","ref":"readme.html#recurrencex-does","title":"README - Recurrencex does:","type":"extras"},{"doc":"iex&gt; date = Timex.to_datetime({{2018, 4, 20}, {0, 0, 0}}, &quot;America/Toronto&quot;) ...&gt; # repeat every 7 days ...&gt; next = Recurrencex.next(date, %Recurrencex{type: :daily, frequency: 7, repeat_on: []}) ...&gt; next == Timex.to_datetime({{2018, 4, 27}, {0, 0, 0}}, &quot;America/Toronto&quot;) true iex&gt; date = Timex.to_datetime({{2018, 4, 20}, {0, 0, 0}}, &quot;America/Toronto&quot;) ...&gt; # repeat on Mondays, Wednesdays, Fridays every week ...&gt; next = Recurrencex.next(date, %Recurrencex{type: :weekly, frequency: 1, repeat_on: [1, 3, 5]}) ...&gt; # date was a Friday the 20th, the next recurrence would be Monday the 23rd ...&gt; next == Timex.to_datetime({{2018, 4, 23}, {0, 0, 0}}, &quot;America/Toronto&quot;) true iex&gt; date = Timex.to_datetime({{2018, 4, 20}, {0, 0, 0}}, &quot;America/Toronto&quot;) ...&gt; # repeat on the 20th and 25th of every month ...&gt; next = Recurrencex.next(date, %Recurrencex{type: :monthly_day, frequency: 1, repeat_on: [20, 25]}) ...&gt; next == Timex.to_datetime({{2018, 5, 20}, {0, 0, 0}}, &quot;America/Toronto&quot;) true iex&gt; date = Timex.to_datetime({{2018, 4, 20}, {0, 0, 0}}, &quot;America/Toronto&quot;) ...&gt; # repeat on the first thursday of every month ...&gt; next = Recurrencex.next(date, %Recurrencex{type: :monthly_dow, frequency: 1, repeat_on: [{4,1}]}) ...&gt; next == Timex.to_datetime({{2018, 5, 3}, {0, 0, 0}}, &quot;America/Toronto&quot;) true iex&gt; r = %Recurrencex{type: :monthly_day, frequency: 12, repeat_on: [20]} ...&gt; Timex.to_datetime({{2018, 4, 20}, {0, 0, 0}}, &quot;America/Toronto&quot;) ...&gt; |&gt; Recurrencex.next(r) ...&gt; |&gt; Recurrencex.next(r) ...&gt; next == Timex.to_datetime({{2020, 4, 20}, {0, 0, 0}}, &quot;America/Toronto&quot;) trueDocumentation: https://hexdocs.pm/recurrencex.","ref":"readme.html#examples","title":"README - Examples","type":"extras"},{"doc":"Behaviour with different days in months (Timex handles this like so)iex&gt; date = Timex.to_datetime({{2018, 1, 30}, {0, 0, 0}}, &quot;America/Toronto&quot;) iex&gt; Timex.shift(date, months: 1) #DateTime&lt;2018-03-02 00:00:00-05:00 EST America/Toronto&gt; iex&gt; date = Timex.to_datetime({{2018, 5, 1}, {0, 0, 0}}, &quot;America/Toronto&quot;) iex&gt; Timex.shift(date, months: 1) #DateTime&lt;2018-07-01 00:00:00-04:00 EDT America/Toronto&gt;Recurrencex will opt to align with the end of the month as defined by Timex.end_of_month in these cases instead of rolling over to the next month.iex&gt; date = Timex.to_datetime({{2018, 1, 31}, {0, 0, 0}}, &quot;America/Toronto&quot;) iex&gt; r = %Recurrencex{type: :monthly_day, frequency: 1, repeat_on: [31]} iex&gt; Recurrencex.next(date, r) #DateTime&lt;2018-02-28 00:00:00-05:00 EST America/Toronto&gt;Repeat on the nth weekday will rollover to the next month if for example there is no 6th Friday in January.iex&gt; date = Timex.to_datetime({{2018, 1, 1}, {0, 0, 0}}, &quot;America/Toronto&quot;) iex&gt; r = %Recurrencex{type: :monthly_dow, frequency: 1, repeat_on: [{5, 6}]} iex&gt; Recurrencex.next(date, r) #DateTime&lt;2018-02-09 00:00:00-05:00 EST America/Toronto&gt;","ref":"readme.html#note","title":"README - Note:","type":"extras"}]